Results 1 to 9 of 9

Thread: what does "bad version, server rejected connection" mean?

  1. #1

    what does "bad version, server rejected connection" mean?

    hi i bought arma2:OA a couple of days ago and have been playing single player quite happily, i then decided to have a look at multiplayer but i can join no servers and all i get is "bad version, server rejected connection". i have a few ideas as to why this may be:

    1) i have not got the required mods for the servers ive tried to join (around 40 different ones so far)

    2) all the servers are private and need a password?

    3) i did have some problems with the cd key not being recognised, i didnt think much of it at the time and did not send an email to the support site as i thought i had got it working (if i can play single player would this be stopping me?)

    4) my firewall is causeing problems?

    before anyone asks my copy is a legal dvd boxed version and i have patch 1.57. sorry if something similar has come up i did try and have a look but nothing seemed to help. please try and help me.

    thanks in advance.
    Last edited by Bugzee; Jan 19 2011 at 20:26.

  2. #2
    Odds are you dont have the requiered mod or requierd version of that mod to play that server. try updating your mods to latest version. Also check to make sure you have the latest game patch from BI

  3. #3
    thanks Rindier i shall give that a try but does that mean that no servers run just arma2:OA 1.57, they all need mods?

  4. #4
    Well im not sure if thats the latest version of the game. you should check to make sure your filter is set right aswell as make sure you have BAF light and PMC light enambled. alot of servers run them. and just as many run ArmA2 and OA. really for a better exp i recomend geting both so you have combined ops. aswell as BAF and PMC. there great fun. PM me if you have any more questions.

  5. #5
    a majority of servers run ace and zeus ai now (especially any realism servers and a few Evo and Domi servers)

    the best way to update your mods for these servers is to use something like six updater or yomas addon sych, depending on whether the server hosts the files for the mod you can compare your version of mod files to theirs and download the new ones and be able to join in.

  6. #6
    Gunnery Sergeant
    Join Date
    Jun 4 2009
    Location
    South Wales, UK.
    Posts
    503
    DIDNT think "bad version" had anything to do with mods... check this

    http://forums.bistudio.com/showthrea...ht=BAD+VERSION
    might give u some tips
    }

  7. #7
    thankyou everyone for all your input and help, i think i have got the problem sorted, will report back for more help if it's not fixed.

    thanks again

  8. #8
    Quote Originally Posted by Bugzee View Post
    thankyou everyone for all your input and help, i think i have got the problem sorted, will report back for more help if it's not fixed.

    thanks again
    i am having the same prob can u tell me what u did

  9. #9
    What you need is patch 1.6 > http://www.arma2.com/index.php?Itemi...folder&lang=en

    That will bring your game to the level with the servers. After that for mods you can use Six Updater.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •